section.blog-hero-section {
    background: linear-gradient(135deg, #e5f1fa 0%, #fef4f3, #e5f1fa 100%);
    padding-block: 50px;
}

.single-location .cs-single-wrapper {
    padding-block: 80px;
}

.rightside {
    position: sticky;
    top: 120px;
    padding: 30px;
    box-shadow: 0 4px 0 0 #d2d9f4;
    border-radius: 12px;
    border: 1px solid #d2d9f4;
    background: linear-gradient(135deg, #e5f1fa 0%, #fef4f3, #e5f1fa 100%);
}

.rightside .sub-head {
    font-size: 30px;
    margin-bottom: 10px !important;
    background-image: linear-gradient(90deg, var(--primarybtnbg) 13% 13%, #ff0000);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
}

.rightside .gform_wrapper .gform_fields .gfield .ginput_container input,
.rightside .gform_wrapper .gform_fields .gfield .artha-yt-search-input {
    border: 1px solid #d2d9f4;
    padding: 12px 15px;
}

/*.gform_wrapper.gravity-theme .gfield_label {
    color: #fff;
}
.gform_wrapper.gravity-theme .gfield-choice-input+label {
    color: #fff;
}*/
.location-contact-form-row {
    display: grid;
    grid-template-columns: 4fr 2fr;
    gap: 50px;
    align-items: flex-start;
}

.location-conent-col {
    margin-bottom: 40px;
}

.location-stats {
    display: flex;
    justify-content: space-between;
    gap: 30px;
}

.location-custom-content {
    margin-bottom: 40px;
}

/*.location-star-title {
        display: inline-block;
    font-size: 46px;
    line-height: 1;
    background-image: linear-gradient(90deg, var(--primarybtnbg) 13%, #ff0000);
    color: var(--swatches--primary)
--swatches--primary is not defined;
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
    font-weight: bold;
    margin-bottom: 15px;
}*/
.location-star-title {
    font-size: 46px;
    line-height: 1;
    font-weight: bold;
    margin-bottom: 15px;
    color: #037cce;
}

.location-stats .stat-item p {
    margin-bottom: 0;
    line-height: 1;
    font-size: 20px;
    font-weight: 500;
    color: #000;
}

.single-location h2 {
    background-image: linear-gradient(90deg, var(--primarybtnbg) 13% 13%, #ff0000);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
    font-size: 32px;
}

.analytic-cont p {
    color: #000;
}

.analytics-icon img {
    width: 60px;
}

.location-stats .stat-item {
    padding: 25px;
    border-radius: 10px;
    width: 100%;
    border: 1px solid #d2d9f4;
    background: #fff;
}

.location-analytics-row .analytics-col {
    border-radius: 10px;
    width: 100%;
    border: 1px solid #d2d9f4;
    background: #fff;
}

.location-analytics-row .analytics-col>.vc_column-inner {
    padding: 20px;
}

.location-stats {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
}

.vc_row.location-analytics-row {
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
}




@media (max-width: 1200px) {
    .single-location .cs-single-wrapper {
        padding-block: 60px;
    }

    .location-contact-form-row {
        gap: 30px;
    }

    .location-stats .stat-item p {
        font-size: 16px;
    }

    .location-stats .stat-item {
        padding: 18px;
    }

    .location-stats {
        gap: 15px;
    }

    .location-star-title {
        font-size: 36px;
        margin-bottom: 10px;
    }

    .rightside {
        padding: 25px;
    }

    .vc_row.location-analytics-row {
        gap: 15px;
    }

    .location-analytics-row .analytics-col>.vc_column-inner {
        padding: 15px;
    }

    .analytics-icon img {
        width: 40px;
    }

    .analytics-icon.mb-2 {
        margin-bottom: 10px !important;
    }

}


@media (max-width: 960px) {
    .single-location .container {
        padding: 0 35px;
    }

    .location-custom-content {
        margin-bottom: 20px;
    }

    .location-stats {
        grid-template-columns: 1fr 1fr;
    }

    .location-conent-col {
        margin-bottom: 30px;
    }

    .rightside {
        padding: 20px;
        top: 0;
    }

    .vc_row.location-analytics-row {
        grid-template-columns: 1fr 1fr;
    }

    .single-location h2 {
        margin-bottom: 10px;
    }


}

@media (max-width: 767px) {
    .location-contact-form-row {
        gap: 30px;
        display: flex;
        flex-direction: column-reverse;
    }

    .single-location h2 {
        font-size: 25px;
    }

    .rightside {
        width: 100%;
    }

    .main-head {
        font-size: 27px;
    }

    section.blog-hero-section {
        padding-block: 40px;
    }

    .single-location .cs-single-wrapper {
        padding-block: 50px;
    }

    .rightside {
        padding: 25px;
    }

}

@media (max-width: 480px) {
    .location-stats {
        grid-template-columns: 1fr;
    }

    .single-location .container {
        padding: 0 25px;
    }

    .vc_row.location-analytics-row {
        grid-template-columns: 1fr;
    }


}